C#
// DELETE /v1/b2b/organizations/{organization_id}
const stytch = require('stytch');
const client = new stytch.B2BClient({
project_id: '${projectId}',
secret: '${secret}',
});
const params = {
organization_id: "organization-test-07971b06-ac8b-4cdb-9c15-63b17e653931",
};
const options = {
authorization: {
session_token: '${sessionToken}',
},
};
client.Organizations.Delete(params, options)
.then(resp => { console.log(resp) })
.catch(err => { console.log(err) });// DELETE /v1/b2b/organizations/{organization_id}
package main
import (
"context"
"log"
"github.com/stytchauth/stytch-go/v18/stytch/b2b/b2bstytchapi"
"github.com/stytchauth/stytch-go/v18/stytch/b2b/organizations"
"github.com/stytchauth/stytch-go/v18/stytch/methodoptions"
)
func main() {
client, err := b2bstytchapi.NewClient(
"${projectId}",
"${secret}",
)
if err != nil {
log.Fatalf("error instantiating client: %v", err)
}
params := &organizations.DeleteParams{
OrganizationID: "organization-test-07971b06-ac8b-4cdb-9c15-63b17e653931",
}
options := &organizations.DeleteParamsOptions{
Authorization: methodoptions.Authorization{
SessionToken: "${sessionToken}",
},
}
resp, err := client.Organizations.Delete(context.Background(), params, options)
if err != nil {
log.Fatalf("error in method call: %v", err)
}
log.Println(resp)
}
// DELETE /v1/b2b/organizations/{organization_id}
package com.example;
import com.stytch.java.b2b.models.organizations.DeleteRequest;
import com.stytch.java.b2b.models.organizations.DeleteRequestOptions;
import com.stytch.java.b2b.StytchB2BClient;
import com.stytch.java.common.methodoptions.Authorization;
import com.stytch.java.common.StytchResult;
public class Main {
public static void main(String[] args) {
StytchB2BClient.configure("${projectId}", "${secret}");
DeleteRequest params = new DeleteRequest();
params.setOrganizationId("organization-test-07971b06-ac8b-4cdb-9c15-63b17e653931");
DeleteRequestOptions options = new DeleteRequestOptions();
Authorization authorization = new Authorization();
authorization.setSessionToken("${sessionToken}");
options.setAuthorization(authorization);
Object result = StytchB2BClient.getOrganizations().delete(params, options);
if (result instanceof StytchResult.Success) {
System.out.println(((StytchResult.Success) result).getValue());
} else {
System.out.println(((StytchResult.Error) result).getException());
}
}
}// DELETE /v1/b2b/organizations/{organization_id}
package com.example
import com.stytch.java.b2b.StytchB2BClient
import com.stytch.java.b2b.models.organizations.DeleteRequest
import com.stytch.java.b2b.models.organizations.DeleteRequestOptions
import com.stytch.java.common.methodoptions.Authorization
fun main() {
StytchB2BClient.configure(
projectId = "${projectId}",
secret = "${secret}",
)
when (
val result =
StytchB2BClient.organizations.delete(
DeleteRequest(
organizationId = "organization-test-07971b06-ac8b-4cdb-9c15-63b17e653931",
),
DeleteRequestOptions(
Authorization(
sessionToken = "${sessionToken}",
),
),
)
) {
is StytchResult.Success -> println(result.value)
is StytchResult.Error -> println(result.exception)
}
}
// DELETE /v1/b2b/organizations/{organization_id}
const stytch = require('stytch');
const client = new stytch.B2BClient({
project_id: '${projectId}',
secret: '${secret}',
});
const params = {
organization_id: "organization-test-07971b06-ac8b-4cdb-9c15-63b17e653931",
};
const options = {
authorization: {
session_token: '${sessionToken}',
},
};
client.organizations.delete(params, options)
.then(resp => { console.log(resp) })
.catch(err => { console.log(err) });$response = $client->organizations->delete([
'organization_id' => 'organization-test-07971b06-ac8b-4cdb-9c15-63b17e653931',
], [
'authorization' => ['session_token' => '${sessionToken}'],
]);# DELETE /v1/b2b/organizations/{organization_id}
from stytch import B2BClient
from stytch.b2b.models.organizations import DeleteRequestOptions
from stytch.shared.method_options import Authorization
client = B2BClient(
project_id="${projectId}",
secret="${secret}",
)
resp = client.organizations.delete(
organization_id="organization-test-07971b06-ac8b-4cdb-9c15-63b17e653931",
method_options=DeleteRequestOptions(
authorization=Authorization(
session_token="${sessionToken}",
),
),
)
print(resp)
# frozen_string_literal: true
# DELETE /v1/b2b/organizations/{organization_id}
require 'stytch'
client = StytchB2B::Client.new(
project_id: "${projectId}",
secret: "${secret}"
)
resp = client.organizations.delete(
organization_id: "organization-test-07971b06-ac8b-4cdb-9c15-63b17e653931",
method_options: StytchB2B::Organizations::DeleteRequestOptions.new(
authorization: Stytch::MethodOptions::Authorization.new(session_token: '${sessionToken}')
)
)
puts resp// DELETE /v1/b2b/organizations/{organization_id}
use stytch::b2b::client::Client;
use stytch::b2b::organizations::DeleteRequest;
fn main() {
let client = Client::new("${projectId}", "${secret}").unwrap();
let resp = client.organizations.delete(
DeleteRequest{
organization_id: "organization-test-07971b06-ac8b-4cdb-9c15-63b17e653931",
..Default::default()
}
).await;
println!("The response is {:?}", resp);
}# DELETE /v1/b2b/organizations/{organization_id}
curl --request DELETE \
--url https://test.stytch.com/v1/b2b/organizations/organization-test-07971b06-ac8b-4cdb-9c15-63b17e653931 \
-u '${projectId}:${secret}' \
-H 'Content-Type: application/json' \
-H "X-Stytch-Member-Session: ${sessionToken}"{
"request_id": "<string>",
"organization_id": "<string>",
"status_code": 123
}{
"status_code": 401,
"request_id": "request-id-test-b05c992f-ebdc-489d-a754-c7e70ba13141",
"error_type": "unauthorized_credentials",
"error_message": "Unauthorized credentials.",
"error_url": "https://stytch.com/docs/api/errors/401"
}{
"status_code": 429,
"request_id": "request-id-test-b05c992f-ebdc-489d-a754-c7e70ba13141",
"error_type": "too_many_requests",
"error_message": "Too many requests have been made.",
"error_url": "https://stytch.com/docs/api/errors/429"
}{
"status_code": 500,
"request_id": "request-id-test-b05c992f-ebdc-489d-a754-c7e70ba13141",
"error_type": "internal_server_error",
"error_message": "Oops, something seems to have gone wrong, please reach out to support@stytch.com to let us know what went wrong.",
"error_url": "https://stytch.com/docs/api/errors/500"
}Organizations
Delete Organization
Delete an Organization using the Stytch B2B API.
DELETE
/
v1
/
b2b
/
organizations
/
{organization_id}
C#
// DELETE /v1/b2b/organizations/{organization_id}
const stytch = require('stytch');
const client = new stytch.B2BClient({
project_id: '${projectId}',
secret: '${secret}',
});
const params = {
organization_id: "organization-test-07971b06-ac8b-4cdb-9c15-63b17e653931",
};
const options = {
authorization: {
session_token: '${sessionToken}',
},
};
client.Organizations.Delete(params, options)
.then(resp => { console.log(resp) })
.catch(err => { console.log(err) });// DELETE /v1/b2b/organizations/{organization_id}
package main
import (
"context"
"log"
"github.com/stytchauth/stytch-go/v18/stytch/b2b/b2bstytchapi"
"github.com/stytchauth/stytch-go/v18/stytch/b2b/organizations"
"github.com/stytchauth/stytch-go/v18/stytch/methodoptions"
)
func main() {
client, err := b2bstytchapi.NewClient(
"${projectId}",
"${secret}",
)
if err != nil {
log.Fatalf("error instantiating client: %v", err)
}
params := &organizations.DeleteParams{
OrganizationID: "organization-test-07971b06-ac8b-4cdb-9c15-63b17e653931",
}
options := &organizations.DeleteParamsOptions{
Authorization: methodoptions.Authorization{
SessionToken: "${sessionToken}",
},
}
resp, err := client.Organizations.Delete(context.Background(), params, options)
if err != nil {
log.Fatalf("error in method call: %v", err)
}
log.Println(resp)
}
// DELETE /v1/b2b/organizations/{organization_id}
package com.example;
import com.stytch.java.b2b.models.organizations.DeleteRequest;
import com.stytch.java.b2b.models.organizations.DeleteRequestOptions;
import com.stytch.java.b2b.StytchB2BClient;
import com.stytch.java.common.methodoptions.Authorization;
import com.stytch.java.common.StytchResult;
public class Main {
public static void main(String[] args) {
StytchB2BClient.configure("${projectId}", "${secret}");
DeleteRequest params = new DeleteRequest();
params.setOrganizationId("organization-test-07971b06-ac8b-4cdb-9c15-63b17e653931");
DeleteRequestOptions options = new DeleteRequestOptions();
Authorization authorization = new Authorization();
authorization.setSessionToken("${sessionToken}");
options.setAuthorization(authorization);
Object result = StytchB2BClient.getOrganizations().delete(params, options);
if (result instanceof StytchResult.Success) {
System.out.println(((StytchResult.Success) result).getValue());
} else {
System.out.println(((StytchResult.Error) result).getException());
}
}
}// DELETE /v1/b2b/organizations/{organization_id}
package com.example
import com.stytch.java.b2b.StytchB2BClient
import com.stytch.java.b2b.models.organizations.DeleteRequest
import com.stytch.java.b2b.models.organizations.DeleteRequestOptions
import com.stytch.java.common.methodoptions.Authorization
fun main() {
StytchB2BClient.configure(
projectId = "${projectId}",
secret = "${secret}",
)
when (
val result =
StytchB2BClient.organizations.delete(
DeleteRequest(
organizationId = "organization-test-07971b06-ac8b-4cdb-9c15-63b17e653931",
),
DeleteRequestOptions(
Authorization(
sessionToken = "${sessionToken}",
),
),
)
) {
is StytchResult.Success -> println(result.value)
is StytchResult.Error -> println(result.exception)
}
}
// DELETE /v1/b2b/organizations/{organization_id}
const stytch = require('stytch');
const client = new stytch.B2BClient({
project_id: '${projectId}',
secret: '${secret}',
});
const params = {
organization_id: "organization-test-07971b06-ac8b-4cdb-9c15-63b17e653931",
};
const options = {
authorization: {
session_token: '${sessionToken}',
},
};
client.organizations.delete(params, options)
.then(resp => { console.log(resp) })
.catch(err => { console.log(err) });$response = $client->organizations->delete([
'organization_id' => 'organization-test-07971b06-ac8b-4cdb-9c15-63b17e653931',
], [
'authorization' => ['session_token' => '${sessionToken}'],
]);# DELETE /v1/b2b/organizations/{organization_id}
from stytch import B2BClient
from stytch.b2b.models.organizations import DeleteRequestOptions
from stytch.shared.method_options import Authorization
client = B2BClient(
project_id="${projectId}",
secret="${secret}",
)
resp = client.organizations.delete(
organization_id="organization-test-07971b06-ac8b-4cdb-9c15-63b17e653931",
method_options=DeleteRequestOptions(
authorization=Authorization(
session_token="${sessionToken}",
),
),
)
print(resp)
# frozen_string_literal: true
# DELETE /v1/b2b/organizations/{organization_id}
require 'stytch'
client = StytchB2B::Client.new(
project_id: "${projectId}",
secret: "${secret}"
)
resp = client.organizations.delete(
organization_id: "organization-test-07971b06-ac8b-4cdb-9c15-63b17e653931",
method_options: StytchB2B::Organizations::DeleteRequestOptions.new(
authorization: Stytch::MethodOptions::Authorization.new(session_token: '${sessionToken}')
)
)
puts resp// DELETE /v1/b2b/organizations/{organization_id}
use stytch::b2b::client::Client;
use stytch::b2b::organizations::DeleteRequest;
fn main() {
let client = Client::new("${projectId}", "${secret}").unwrap();
let resp = client.organizations.delete(
DeleteRequest{
organization_id: "organization-test-07971b06-ac8b-4cdb-9c15-63b17e653931",
..Default::default()
}
).await;
println!("The response is {:?}", resp);
}# DELETE /v1/b2b/organizations/{organization_id}
curl --request DELETE \
--url https://test.stytch.com/v1/b2b/organizations/organization-test-07971b06-ac8b-4cdb-9c15-63b17e653931 \
-u '${projectId}:${secret}' \
-H 'Content-Type: application/json' \
-H "X-Stytch-Member-Session: ${sessionToken}"{
"request_id": "<string>",
"organization_id": "<string>",
"status_code": 123
}{
"status_code": 401,
"request_id": "request-id-test-b05c992f-ebdc-489d-a754-c7e70ba13141",
"error_type": "unauthorized_credentials",
"error_message": "Unauthorized credentials.",
"error_url": "https://stytch.com/docs/api/errors/401"
}{
"status_code": 429,
"request_id": "request-id-test-b05c992f-ebdc-489d-a754-c7e70ba13141",
"error_type": "too_many_requests",
"error_message": "Too many requests have been made.",
"error_url": "https://stytch.com/docs/api/errors/429"
}{
"status_code": 500,
"request_id": "request-id-test-b05c992f-ebdc-489d-a754-c7e70ba13141",
"error_type": "internal_server_error",
"error_message": "Oops, something seems to have gone wrong, please reach out to support@stytch.com to let us know what went wrong.",
"error_url": "https://stytch.com/docs/api/errors/500"
}Deletes an specified by
organization_id. All of the Organization will also be deleted.
RBAC Enforced APIIf a Member Session is passed in the Authorization headers, Stytch will enforce that the Member has permission to take the Action on the Resource prior to honoring the request.To learn more, see the RBAC guide.
Authorizations
Headers
Path Parameters
Response
Successful response